%define module_name Future-XS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Future.pm) perl(Module/Build.pm) perl(Test2/V0.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: experimental XS implementation of C<Future>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides an XS-based implementation of the the Future manpage class. It is
currently experimental and shipped in its own distribution for testing
purposes, though once it seems stable the plan is to move it into the main
`Future' distribution and load it automatically in favour of the pureperl
implementation on supported systems.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/F*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.13-alt1
- updated by package builder

* Tue Jan 02 2024 Igor Vlasenko <viy@altlinux.org> 0.12-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2
- rebuild with perl 5.38

* Fri Oct 27 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt1
- updated by package builder

* Sat Apr 01 2023 Igor Vlasenko <viy@altlinux.org> 0.10-alt1
- updated by package builder

* Mon Mar 20 2023 Igor Vlasenko <viy@altlinux.org> 0.09-alt1
- updated by package builder

* Wed Dec 14 2022 Igor Vlasenko <viy@altlinux.org> 0.08-alt1
- updated by package builder

* Tue Oct 25 2022 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Wed Aug 17 2022 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Thu Aug 11 2022 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- initial import by package builder

